# CglUniqueRowCuts Class Reference

`#include <CglPreProcess.hpp>`

Collaboration diagram for CglUniqueRowCuts:
[legend]

List of all members.

## Public Member Functions
| CglUniqueRowCuts (int initialMaxSize=0, int hashMultiplier=4)
| ~CglUniqueRowCuts ()
| CglUniqueRowCuts (const CglUniqueRowCuts &rhs)
CglUniqueRowCuts & | operator= (const CglUniqueRowCuts &rhs)
OsiRowCut * | cut (int sequence) const
int | numberCuts () const
int | sizeRowCuts () const
OsiRowCut * | rowCutPtr (int sequence)
void | eraseRowCut (int sequence)
void | insert (const OsiRowCut &cut)
int | insertIfNotDuplicate (const OsiRowCut &cut)
void | addCuts (OsiCuts &cs)
## Private Attributes
OsiRowCut ** | rowCut_
CglHashLink * | hash_
| Hash table.
int | size_
int | hashMultiplier_
int | numberCuts_
int | lastHash_

## Detailed Description

Definition at line 460 of file CglPreProcess.hpp.

## Constructor & Destructor Documentation

CglUniqueRowCuts::CglUniqueRowCuts | ( | int | initialMaxSize = `0`,
|  | int | hashMultiplier = `4` |
| ) |  |  |

CglUniqueRowCuts::~CglUniqueRowCuts | ( |  | ) |

CglUniqueRowCuts::CglUniqueRowCuts | ( | const CglUniqueRowCuts & | rhs | ) |

## Member Function Documentation

CglUniqueRowCuts& CglUniqueRowCuts::operator= | ( | const CglUniqueRowCuts & | rhs | ) |

OsiRowCut* CglUniqueRowCuts::cut | ( | int | sequence | ) | const`[inline]`

Definition at line 467 of file CglPreProcess.hpp.

int CglUniqueRowCuts::numberCuts | ( |  | ) | const`[inline]`

Definition at line 469 of file CglPreProcess.hpp.

int CglUniqueRowCuts::sizeRowCuts | ( |  | ) | const`[inline]`

Definition at line 471 of file CglPreProcess.hpp.

OsiRowCut* CglUniqueRowCuts::rowCutPtr | ( | int | sequence | ) | `[inline]`

Definition at line 473 of file CglPreProcess.hpp.

void CglUniqueRowCuts::eraseRowCut | ( | int | sequence | ) |

void CglUniqueRowCuts::insert | ( | const OsiRowCut & | cut | ) | `[inline]`

Definition at line 477 of file CglPreProcess.hpp.

int CglUniqueRowCuts::insertIfNotDuplicate | ( | const OsiRowCut & | cut | ) |

void CglUniqueRowCuts::addCuts | ( | OsiCuts & | cs | ) |

## Member Data Documentation

OsiRowCut** CglUniqueRowCuts::rowCut_`[private]`

Definition at line 484 of file CglPreProcess.hpp.

CglHashLink* CglUniqueRowCuts::hash_`[private]`

Hash table.

Definition at line 486 of file CglPreProcess.hpp.

int CglUniqueRowCuts::size_`[private]`

Definition at line 487 of file CglPreProcess.hpp.

int CglUniqueRowCuts::hashMultiplier_`[private]`

Definition at line 488 of file CglPreProcess.hpp.

int CglUniqueRowCuts::numberCuts_`[private]`

Definition at line 489 of file CglPreProcess.hpp.

int CglUniqueRowCuts::lastHash_`[private]`

Definition at line 490 of file CglPreProcess.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cgl-0.59.1/Cgl/src/CglPreProcess/CglPreProcess.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines